<?php
header('Content-type: application/json');
if(!isset($_GET)){
    die;
}
$idNoticia = $_GET["id"];
if(!is_numeric($idNoticia)){
    die;
}
require_once './php/Noticia.php';
require_once './php/DetalleNoticia.php';
$noticia = Noticia::find($_GET["id"]);
$detalleNoticia = DetalleNoticia::where("id_noticia",$_GET["id"]);
$detalleNoticia = $detalleNoticia[0];
$return = array();

//$noticia = ['cuerpo' => "<p>Cuerpo desde PHP</p>", "ruta" =>"2015/2"];//obtener desde bd
if(!file_exists('../news/'.$noticia->ruta())){
    mkdir('../news/'.$noticia->ruta(), 0775, true);
}

$img=array();
$contador = 0;
foreach (new DirectoryIterator('../news/'.$noticia->ruta()) as $fileInfo) {
    if ($fileInfo->isDot()){
        continue;
    }
    $localImg = ["nombre"=>$fileInfo->getFilename(),"ruta"=>$noticia->ruta()];
    array_push($img, $localImg);
    $contador++;
}
if($contador>0){
    $return["img"] = $img;
}else{
    $return["img"]=null;
}
$return["cuerpo"] = $detalleNoticia->cuerpo;
echo json_encode($return);